import request from '@/utils/request'

// 查询学生志愿填报情况汇总列表
export function listSummaryApply(query) {
  return request({
    url: '/summaryApply/summaryApply/list',
    method: 'get',
    params: query
  })
}

// 查询学生志愿填报情况汇总详细
export function getSummaryApply(studentNo) {
  return request({
    url: '/summaryApply/summaryApply/' + studentNo,
    method: 'get'
  })
}

// 新增学生志愿填报情况汇总
export function addSummaryApply(data) {
  return request({
    url: '/summaryApply/summaryApply',
    method: 'post',
    data: data
  })
}

// 修改学生志愿填报情况汇总
export function updateSummaryApply(data) {
  return request({
    url: '/summaryApply/summaryApply',
    method: 'put',
    data: data
  })
}

// 删除学生志愿填报情况汇总
export function delSummaryApply(studentNo) {
  return request({
    url: '/summaryApply/summaryApply/' + studentNo,
    method: 'delete'
  })
}
